你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Usages - List By Subscription

获取订阅中所有 Azure AI 搜索配额使用情况的列表。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2025-05-01

URI 参数

名称 在 必需 类型 说明
location
path True

string

minLength: 1

Azure 区域的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

请求头

名称 必需 类型 说明
x-ms-client-request-id

string (uuid)

一个客户端生成的 GUID 值,用于标识此请求。 如果指定,响应信息中将包含此内容作为跟踪请求的一种方式。

响应

名称 类型 说明
200 OK

QuotaUsagesListResult

请求已成功。

Other Status Codes

CloudError

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流程。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

GetQuotaUsagesList

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Search/locations/westus/usages?api-version=2025-05-01

示例响应

{
  "nextLink": null,
  "value": [
    {
      "name": {
        "localizedValue": "F - Free",
        "value": "free"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "B - Basic",
        "value": "basic"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S - Standard",
        "value": "standard"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S2 - Standard2",
        "value": "standard2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "S3 - Standard3",
        "value": "standard3"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L1 - Storage Optimized",
        "value": "storageOptimizedL1"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "limit": 16,
      "unit": "Count"
    },
    {
      "name": {
        "localizedValue": "L2 - Storage Optimized",
        "value": "storageOptimizedL2"
      },
      "currentValue": 8,
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "limit": 16,
      "unit": "Count"
    }
  ]
}

定义

名称 说明
CloudError

包含有关 API 错误的信息。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

QuotaUsageResult

描述特定 SKU 的配额使用情况。

QuotaUsageResultName

SKU名称信息,包括其标识符和本地化显示名称。

QuotaUsagesListResult

包含 Azure AI 搜索所有支持的 SKU 配额使用情况信息的响应。

CloudError

包含有关 API 错误的信息。

名称 类型 说明
error

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

message

string

提示出错的错误的简要说明(有关详细信息/调试信息,请参阅“error.message”属性)。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

名称 类型 说明
code

string

比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。

details

CloudErrorBody[]

包含与此错误相关的嵌套错误。

message

string

详细说明错误并提供调试信息的消息。

target

string

特定错误的目标(例如,错误中属性的名称)。

QuotaUsageResult

描述特定 SKU 的配额使用情况。

名称 类型 说明
currentValue

integer (int32)

当前用于特定搜索 SKU 的值。

id

string

Microsoft.Search 提供程序配额使用情况 SKU 终结点的资源 ID。

limit

integer (int32)

特定搜索 SKU 的配额限制。

name

QuotaUsageResultName

当前搜索服务的SKU名称信息。

unit

string

搜索 SKU 的度量单位。

QuotaUsageResultName

SKU名称信息,包括其标识符和本地化显示名称。

名称 类型 说明
localizedValue

string

SKU 名称的本地化字符串值。

value

string

Azure AI 搜索支持的 SKU 名称。

QuotaUsagesListResult

包含 Azure AI 搜索所有支持的 SKU 配额使用情况信息的响应。

名称 类型 说明
nextLink

string

可用于查询下一页配额使用情况的请求 URL。 当请求的配额使用量总数超过最大页面大小时返回。

value

QuotaUsageResult[]

Azure AI 搜索支持的 SKU 的配额使用情况。